Loading...
Searching...
No Matches
Tuple.h File Reference
`#include "Math.h"`
`#include <cmath>`
`#include <sstream>`
`#include <string>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | Conversion
| Dummy class for tag dispatch of conversion constructors. More...
class | Tuple< SIZE, T >

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::math

## Functions

template<int SIZE, typename T0, typename T1>
bool | operator< (const Tuple< SIZE, T0 > &t0, const Tuple< SIZE, T1 > &t1)
template<int SIZE, typename T0, typename T1>
bool | operator> (const Tuple< SIZE, T0 > &t0, const Tuple< SIZE, T1 > &t1)
template<int SIZE, typename T>
Tuple< SIZE, T > | Abs (const Tuple< SIZE, T > &t)
template<int SIZE, typename T>
bool | isNan (const Tuple< SIZE, T > &t)
| Return `true` if a Nan is present in the tuple.
template<int SIZE, typename T>
bool | isInfinite (const Tuple< SIZE, T > &t)
| Return `true` if an Inf is present in the tuple.
template<int SIZE, typename T>
bool | isFinite (const Tuple< SIZE, T > &t)
| Return `true` if no Nan or Inf values are present.
template<int SIZE, typename T>
bool | isZero (const Tuple< SIZE, T > &t)
| Return `true` if all elements are exactly equal to zero.
template<int SIZE, typename T>
std::ostream & | operator<< (std::ostream &ostr, const Tuple< SIZE, T > &classname)
| Write a Tuple to an output stream.

## Detailed Description

Author
  Ben Kwa